## esv

esv is a simple service manager, compatible with sysv init scripts. It is intended to interface well wtith
busybox init, however it also works well with sysvinit.

## Get started

esv requires the following packages:

- Bash (esv runtime)

To install esv, clone the everest-tools repository:
```
git clone https://git.everestlinux.org/EverestLinux/everest-tools
```
Inside `src/esv/esv3`, edit install.conf.dist and ensure all options are adequate, and save as install.conf:
```
EDITOR=your_editor_here
$EDITOR install.conf.dist
```
Run `build.sh` as root:
```
doas ./build.sh install
# OR
sudo ./build.sh install
# OR
su -c ./build.sh install
```

## Usage
```
esv {start,stop,restart} SERVICE_NAME # start a service
esv {-h,--help}	# show a help message
esv {-v,--version} # show the version
```
